VULKAN_HPP_NAMESPACE::PhysicalDeviceBlendOperationAdvancedPropertiesEXT Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| operator VkPhysicalDeviceBlendOperationAdvancedPropertiesEXT const & () const
| operator VkPhysicalDeviceBlendOperationAdvancedPropertiesEXT & ()
bool | operator== (PhysicalDeviceBlendOperationAdvancedPropertiesEXT const &rhs) const
bool | operator!= (PhysicalDeviceBlendOperationAdvancedPropertiesEXT const &rhs) const

## Data Fields

void * | pNext = nullptr
uint32_t | advancedBlendMaxColorAttachments
Bool32 | advancedBlendIndependentBlend
Bool32 | advancedBlendNonPremultipliedSrcColor
Bool32 | advancedBlendNonPremultipliedDstColor
Bool32 | advancedBlendCorrelatedOverlap
Bool32 | advancedBlendAllOperations

## Private Attributes

StructureType | sType = StructureType::ePhysicalDeviceBlendOperationAdvancedPropertiesEXT

## Detailed Description

Definition at line 16795 of file vulkan.hpp.

## Member Function Documentation

## operator VkPhysicalDeviceBlendOperationAdvancedPropertiesEXT &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceBlendOperationAdvancedPropertiesEXT::operator VkPhysicalDeviceBlendOperationAdvancedPropertiesEXT & | ( |  | ) |

inline

Definition at line 16802 of file vulkan.hpp.

{
return *reinterpret_cast<VkPhysicalDeviceBlendOperationAdvancedPropertiesEXT*>(this);
}

## operator VkPhysicalDeviceBlendOperationAdvancedPropertiesEXT const &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceBlendOperationAdvancedPropertiesEXT::operator VkPhysicalDeviceBlendOperationAdvancedPropertiesEXT const & | ( |  | ) | const

inline

Definition at line 16797 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPhysicalDeviceBlendOperationAdvancedPropertiesEXT*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceBlendOperationAdvancedPropertiesEXT::operator!= | ( | PhysicalDeviceBlendOperationAdvancedPropertiesEXT const & | rhs | ) | const

inline

Definition at line 16819 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceBlendOperationAdvancedPropertiesEXT::operator== | ( | PhysicalDeviceBlendOperationAdvancedPropertiesEXT const & | rhs | ) | const

inline

Definition at line 16807 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( advancedBlendMaxColorAttachments == rhs.advancedBlendMaxColorAttachments )
&& ( advancedBlendIndependentBlend == rhs.advancedBlendIndependentBlend )
&& ( advancedBlendNonPremultipliedSrcColor == rhs.advancedBlendNonPremultipliedSrcColor )
&& ( advancedBlendNonPremultipliedDstColor == rhs.advancedBlendNonPremultipliedDstColor )
&& ( advancedBlendCorrelatedOverlap == rhs.advancedBlendCorrelatedOverlap )
&& ( advancedBlendAllOperations == rhs.advancedBlendAllOperations );
}

References advancedBlendAllOperations, advancedBlendCorrelatedOverlap, advancedBlendIndependentBlend, advancedBlendMaxColorAttachments, advancedBlendNonPremultipliedDstColor, advancedBlendNonPremultipliedSrcColor, pNext, and sType.

Referenced by operator!=().

## Field Documentation

## advancedBlendAllOperations

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceBlendOperationAdvancedPropertiesEXT::advancedBlendAllOperations

Definition at line 16834 of file vulkan.hpp.

Referenced by operator==().

## advancedBlendCorrelatedOverlap

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceBlendOperationAdvancedPropertiesEXT::advancedBlendCorrelatedOverlap

Definition at line 16833 of file vulkan.hpp.

Referenced by operator==().

## advancedBlendIndependentBlend

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceBlendOperationAdvancedPropertiesEXT::advancedBlendIndependentBlend

Definition at line 16830 of file vulkan.hpp.

Referenced by operator==().

## advancedBlendMaxColorAttachments

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceBlendOperationAdvancedPropertiesEXT::advancedBlendMaxColorAttachments

Definition at line 16829 of file vulkan.hpp.

Referenced by operator==().

## advancedBlendNonPremultipliedDstColor

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceBlendOperationAdvancedPropertiesEXT::advancedBlendNonPremultipliedDstColor

Definition at line 16832 of file vulkan.hpp.

Referenced by operator==().

## advancedBlendNonPremultipliedSrcColor

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceBlendOperationAdvancedPropertiesEXT::advancedBlendNonPremultipliedSrcColor

Definition at line 16831 of file vulkan.hpp.

Referenced by operator==().

## pNext

void* VULKAN_HPP_NAMESPACE::PhysicalDeviceBlendOperationAdvancedPropertiesEXT::pNext = nullptr

Definition at line 16828 of file vulkan.hpp.

Referenced by operator==().

## sType

StructureType VULKAN_HPP_NAMESPACE::PhysicalDeviceBlendOperationAdvancedPropertiesEXT::sType = StructureType::ePhysicalDeviceBlendOperationAdvancedPropertiesEXT

private

Definition at line 16825 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PhysicalDeviceBlendOperationAdvancedPropertiesEXT::advancedBlendNonPremultipliedSrcColor
Bool32 advancedBlendNonPremultipliedSrcColor
Definition: vulkan.hpp:16831
VULKAN_HPP_NAMESPACE::PhysicalDeviceBlendOperationAdvancedPropertiesEXT::operator==
bool operator==(PhysicalDeviceBlendOperationAdvancedPropertiesEXT const &rhs) const
Definition: vulkan.hpp:16807
VULKAN_HPP_NAMESPACE::PhysicalDeviceBlendOperationAdvancedPropertiesEXT::advancedBlendCorrelatedOverlap
Bool32 advancedBlendCorrelatedOverlap
Definition: vulkan.hpp:16833
VULKAN_HPP_NAMESPACE::PhysicalDeviceBlendOperationAdvancedPropertiesEXT::advancedBlendMaxColorAttachments
uint32_t advancedBlendMaxColorAttachments
Definition: vulkan.hpp:16829
VULKAN_HPP_NAMESPACE::PhysicalDeviceBlendOperationAdvancedPropertiesEXT::advancedBlendAllOperations
Bool32 advancedBlendAllOperations
Definition: vulkan.hpp:16834
VULKAN_HPP_NAMESPACE::PhysicalDeviceBlendOperationAdvancedPropertiesEXT::advancedBlendNonPremultipliedDstColor
Bool32 advancedBlendNonPremultipliedDstColor
Definition: vulkan.hpp:16832
VULKAN_HPP_NAMESPACE::PhysicalDeviceBlendOperationAdvancedPropertiesEXT::sType
StructureType sType
Definition: vulkan.hpp:16825
VULKAN_HPP_NAMESPACE::PhysicalDeviceBlendOperationAdvancedPropertiesEXT::pNext
void * pNext
Definition: vulkan.hpp:16828
VULKAN_HPP_NAMESPACE::PhysicalDeviceBlendOperationAdvancedPropertiesEXT::advancedBlendIndependentBlend
Bool32 advancedBlendIndependentBlend
Definition: vulkan.hpp:16830
VkPhysicalDeviceBlendOperationAdvancedPropertiesEXT
Definition: vulkan_core.h:7716